package com.xkrs.dao;

import com.xkrs.model.entity.QcInspectionSpecEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface QcInspectionSpecDao extends JpaRepository<QcInspectionSpecEntity, Long>, JpaSpecificationExecutor<QcInspectionSpecEntity> {

    List<QcInspectionSpecEntity> findByPartNoAndInspectionItemCode(String partNo, String inspectionItemCode);
}
